Subject: Re: [PATCH 2.6]: keep fragment queues private to each user

From: Patrick McHardy <[email-masked]>
Date: Tue, 25 Jan 2005 15:41:04 +0100

Herbert Xu wrote:

>However, I think this is still not enough.  What about fragments
>that come from different interfaces? Fragments with different
>security paths?
>
Fragments with different security paths are indeed a problem, I
already tried fixing them by keeping the secpaths of all fragments
on a list in the head secpath and changing __xfrm_policy_check to
deal with them, but it is pretty tricky to get right. For different
interfaces: I'm not exactly sure where this is a problem, except
that any classification will only look at the head fragment interface.

Regards
Patrick